import java.util.ArrayList;
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

// <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
// #[regen=yes,id=DCE.079F99A9-3C99-0CD5-DFB1-81BB04EDDFB5]
// </editor-fold> 
public class Partida {
    Jugador[] jugadores;
    String numjug;
    public int numjugadores;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.5A876FE3-E4D1-FB18-71B0-CF45F3AD2B7D]
    // </editor-fold> 
    private Tablero mTablero;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.0336E1F4-80C2-6FC9-1DCB-EB6248C515AC]
    // </editor-fold> 
    private Jugador mJugador;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.A286CDD4-D5CC-1FFD-DF2E-7C0FDE0685B6]
    // </editor-fold> 
    public Partida () {
        //numjugadores = 3;
        //jugadores = new Jugador[3];
        /*jugadores[0] = new Jugador("Francisco", 1);
        jugadores[1] = new Jugador("Pepe", 3);
        jugadores[2] = new Jugador("Pepa", 5);*/
    }

    /**
     *  <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
     *                          #[regen=yes,id=DCE.60A47D3D-7EEF-7847-7191-DDF6C21FDD8B]
     *                          </editor-fold>
     */
    
        public void comenzar() throws IOException{
        BufferedReader teclado = new BufferedReader(new InputStreamReader(System.in));
        char move = 'n';
        char move1=0;
        String nj;
        System.out.println("Comenzando juego...\n\n");
        System.out.println("Introduzca número de jugadores:   \n");
        numjug=teclado.readLine();
        numjugadores = Integer.parseInt(numjug);
        jugadores = new Jugador[numjugadores];
        int j=0;
        while (j<numjugadores){
        //for (int i=0;i<numjugadores;i++){
            System.out.println("Introduzca nombre del jugador"+(j+1)+":  \n");
            nj = teclado.readLine();
            jugadores[j] = new Jugador(nj, j);
            j++;
            
              
        }
        while (move != 's'){
        for (int i=0;i<numjugadores;i++){
            if(jugadores[i].getNombre() != " " && numjugadores>0)
            {
            System.out.println("Soy el jugador: "+ jugadores[i].getNombre()+" voy a tirar los dados");
            System.out.println("Valor de dado1: " + jugadores[i].tirarDados());
            System.out.println("Valor de dado2: " + jugadores[i].tirarDados());
            System.out.println("Abandono el juego (s/n)????\n");
            
    	    String linea = teclado.readLine();
    	    move1 = linea.charAt(0);
                if(move1 == 's')
                {
                jugadores[i].setNombre(" "); 
                numjugadores--;
                } 
                if (i==3)
                {
                    i=0;
                }
                }
                else
                {
                    move = 's'; 
                }
            //while (move1 != 's'){/*move1 = linea.charAt(0);*/}
            }
        }
        System.out.println("No hay jugadores.Partida acabada\n"); 
        }
        
    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.63AA44BA-EAF7-4AEB-10F1-40F05D6E411F]
    // </editor-fold> 
    public void setTablero (Tablero val) {
    }

    /**
     *  <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
     *                    #[regen=yes,id=DCE.3297E63A-E8EB-F486-80EF-21EC681CDB61]
     *                    </editor-fold>
     */
    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.CFF5A3F4-0EAC-668D-C364-C0901E85CEEE]
    // </editor-fold> 
    public Tablero getTablero () {
        return null;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.6A52064D-7EF2-6139-F01C-09AE8916C1DC]
    // </editor-fold> 

}

